> ## Documentation Index
> Fetch the complete documentation index at: https://bmpmoneyplus-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 39 - Pay

Through this endpoint, the partner changes the proposal status to "paid," provided they have permission to execute this procedure.

<Expandable title="Messaging">
  | Category | Operation     | Action | Code  | Detailed Code | Message                                                                                               |
  | -------- | ------------- | ------ | ----- | ------------- | ----------------------------------------------------------------------------------------------------- |
  | Proposta | PropostaPagar | Pagar  | C0066 | V0001         | The proposal cannot be paid as it is pending payment data update                                      |
  | Proposta | PropostaPagar | Pagar  | C0066 | V0002         | Proposal has been sent in payment remittance `{remessa.Sequencia.ToString("00000000")}`               |
  | Proposta | PropostaPagar | Pagar  | C0066 | V0003         | Payment of the proposal is not allowed by this partner                                                |
  | Proposta | PropostaPagar | Pagar  | C0066 | V0004         | The proposal cannot be paid as its status is `{SituacaoPropostaEnum.GetDescricao(proposta.Situacao)}` |
  | Proposta | PropostaPagar | Pagar  | C0066 | V0005         | Proposal sent for automatic payment. Cancellation not allowed.                                        |
  | Proposta | PropostaPagar | Pagar  | C0066 | V0006         | Awaiting reservation request                                                                          |
  | Proposta | PropostaPagar | Pagar  | C0112 | V0001         | Proposal not found                                                                                    |
  | Proposta | PropostaPagar | Pagar  | C0112 | V0002         | The Proposal does not belong to this Integration                                                      |
  | Proposta | PropostaPagar | Pagar  | C0187 | V0001         | Provide the subject of the history                                                                    |
  | Proposta | PropostaPagar | Pagar  | T0665 | D0001         | Provide the Customer                                                                                  |
  | Proposta | PropostaPagar | Pagar  | T0665 | D0002         | Customer document is invalid                                                                          |
  | Proposta | PropostaPagar | Pagar  | T0665 | D0016         | EPCodigo not provided                                                                                 |
  | Proposta | PropostaPagar | Pagar  | T0665 | D0017         | Seller not found                                                                                      |
  | Proposta | PropostaPagar | Pagar  | T0665 | D0018         | Promoter not found                                                                                    |
  | Proposta | PropostaPagar | Pagar  | T0665 | D0019         | Provide the Type of Operation                                                                         |
  | Proposta | PropostaPagar | Pagar  | T0665 | D0020         | Provide the Value                                                                                     |
  | Proposta | PropostaPagar | Pagar  | T0665 | D0021         | Provide the Number of Installments                                                                    |
  | Proposta | PropostaPagar | Pagar  | T0665 | D0022         | Invalid calculation format                                                                            |
  | Proposta | PropostaPagar | Pagar  | T0665 | D0023         | Customer must be an individual                                                                        |
</Expandable>


## OpenAPI

````yaml post /Proposta/Pagar
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.Proposta.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /Proposta/Pagar:
    post:
      tags:
        - Proposta
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PropostaPagarCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/PropostaPagarCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PropostaPagarCommand'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ActionResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            text/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
components:
  schemas:
    PropostaPagarCommand:
      type: object
      properties:
        dto:
          $ref: '#/components/schemas/FindPropostaDTO'
        parametros:
          type: array
          items:
            $ref: '#/components/schemas/ParametroDTO'
          nullable: true
      additionalProperties: false
    ActionResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        parametros:
          type: array
          items:
            $ref: '#/components/schemas/ParametroDTO'
          nullable: true
      additionalProperties: false
    ResponseBase:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        hasError:
          type: boolean
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
      additionalProperties: false
    FindPropostaDTO:
      type: object
      properties:
        codigoProposta:
          type: string
          description: Código identificador da proposta
          format: uuid
          nullable: true
        codigoOperacao:
          type: string
          description: Código da operação do parceiro
          nullable: true
        numeroProposta:
          type: integer
          description: Número sequencial da proposta
          format: int64
          nullable: true
      additionalProperties: false
    ParametroDTO:
      type: object
      properties:
        nome:
          type: string
          description: Refere-se ao nome do parâmetro.
          nullable: true
        valor:
          type: string
          description: Refere-se ao valor do parâmetro.
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        messageType:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          nullable: true
        context:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````